#ifndef XRWHOPC_H
#define XRWHOPC_H

#include <QtGui/QWidget>

namespace Ui {
    class XRwhoPC;
}

class XRwhoPC : public QWidget {
    Q_OBJECT
    Q_DISABLE_COPY(XRwhoPC)
public:
    explicit XRwhoPC(QWidget *parent = 0, QString cmd1 = "", QString cmd2 = "", QString cmd3 = "", QString cmd4 = "", QString cmd5 = "");
    virtual ~XRwhoPC();
    void setPCName(QString);
    void setLoad(QString);
    void addUser(QString);
    void clearUser();
    int indexOfUser(QString name);
    void alert();
    void normal(QColor);
    float max_load;
    QString getPCName();
    void showDead();
    void hideDead();
    void hideCMDS();
    void showCMDS();

signals:
    void setNameLabel(QString);
    void setLoadLabel(QString);
    void setUserLabel(QString);

private slots:
    void startCMD1();
    void startCMD2();
    void startCMD3();
    void startCMD4();
    void startCMD5();

protected:
    virtual void changeEvent(QEvent *e);

private:
    Ui::XRwhoPC *m_ui;
    QString NodeCMD1;
    QString NodeCMD2;
    QString NodeCMD3;
    QString NodeCMD4;
    QString NodeCMD5;
};

#endif // XRWHOPC_H
