#ifndef SHELLWINDOW_H
#define SHELLWINDOW_H

#include <QtGui/QDialog>
#include "qprocess.h"

namespace Ui {
    class ShellWindow;
}

class ShellWindow : public QDialog {
    Q_OBJECT
    Q_DISABLE_COPY(ShellWindow)
public:
    explicit ShellWindow(QWidget *parent = 0);
    virtual ~ShellWindow();
    void startCmd(QString str);

signals:
    void cmdOut(QString);
    void clearCmd();

private slots:
    void writeCmd();

protected:
    virtual void changeEvent(QEvent *e);

private:
    Ui::ShellWindow *m_ui;
    QProcess cmd;
};

#endif // SHELLWINDOW_H
